summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2016-01-24 13:08:42 -0800
committerZac Medico <zmedico@gentoo.org>2016-01-24 13:09:40 -0800
commit9a80a92bdbbf7180d8899d871cf3e5917441b3fb (patch)
tree0bfbc0f83475f8663a7cf78f302b45294c95c93d
parentapp-text/dvipng: Whitespace. (diff)
downloadgentoo-9a80a92bdbbf7180d8899d871cf3e5917441b3fb.tar.gz
gentoo-9a80a92bdbbf7180d8899d871cf3e5917441b3fb.tar.bz2
gentoo-9a80a92bdbbf7180d8899d871cf3e5917441b3fb.zip
app-admin/consul-template: add sys and vault to SRC_URI for version 0.12.2 (bug 572784)
Package-Manager: portage-2.2.27
-rw-r--r--app-admin/consul-template/Manifest1
-rw-r--r--app-admin/consul-template/consul-template-0.12.2.ebuild15
2 files changed, 12 insertions, 4 deletions
diff --git a/app-admin/consul-template/Manifest b/app-admin/consul-template/Manifest
index 323df50ab4a..a598b3f0a5b 100644
--- a/app-admin/consul-template/Manifest
+++ b/app-admin/consul-template/Manifest
@@ -19,6 +19,7 @@ DIST go-radix-0bab926c3433cfd6490c6d3c504a7b471362390c.tar.gz 5446 SHA256 f4e628
DIST go-radix-4239b77079c7b5d1243b7b4736304ce8ddb6f0f2.tar.gz 5484 SHA256 4b5ac4fe94fb221c849b0e9694301eba2dc91ac1a6b79cee48da038cb1a3d2aa SHA512 e76b6eb6e23f3f1872486e1ad0cfe9e4dcd676a1bee62cfb2e2de28ead2defb8997adadfc48781d910b327fc777c4b38acca1e983a0fb14dd73142f4edb97337 WHIRLPOOL 391097c2c1f7e2a170b41d752595480454d036e9c35dd4ff08678d103a5bd2baddedb3a4a7ce89ca938408fa234be3a63bc74461c09bbfea212d016efa7c3028
DIST go-reap-2d85522212dcf5a84c6b357094f5c44710441912.tar.gz 8469 SHA256 919b889e2fa550e97b6b2254983cb4e826772ebf5237a787c65217caa244efa0 SHA512 aec1ab90bf1a461e0031f4e3015585129be095896bc40c4188f01d3295b95565f544271ee51d284936d504097831bfee979ba9002bf2749805e565ae6991b066 WHIRLPOOL cda564739e7f49621eb1fb26eecd1b2bc22df673206ffe1877b78eaf08b587fcab80976cfc1452349111d519cae1e46e07fc8f00578355f67741b0dec1c37a18
DIST go-sql-driver-mysql-1.2.tar.gz 45364 SHA256 3b59eeb0a61146877a0e48eb894d1bf3965b691ae7ee370a9ee84d24417c7dcb SHA512 3e85325a962e8567ad0340b8ac816927df8d794a1f4066599f094de8b362aba411f5f4a1bf406285757680631ee8ec000ffd392e8d5ebe85c82dd10611096df4 WHIRLPOOL 901075f39347928023a144af98b827d573eb9a241fd3f7d47fade4301e1b98cd4ab40355b039cd30c5ac79182f68bcea92b691fc7129d88ba375c9844ee51911
+DIST go-sys-0_pre20150729.tar.gz 529002 SHA256 9f9e4a2bca96d9f9708770607e21395c3f4f873f9b6266cae1ba1da526729528 SHA512 f80afa938977f3945ab3f08462eaf5d8db430013240a11b1f8a43911948fd2a8a390192ea9ebf79434b348b2ca520267a0441b922110e70603fff4849e57c487 WHIRLPOOL 0b269666650f285521c9fd3486959957ad9279544baac7ab5caa21158fb10ed4de2b2e7c080ffca9aa352c8e5685f2035612d40a04c8f6c5f7093daf1a020029
DIST go-syslog-42a2b573b664dbf281bd48c3cc12c086b17a39ba.tar.gz 4397 SHA256 378f5249729661db9d0c65030fbf636f6ec1d60ee926e67abf8c6dd7921d3907 SHA512 42257d0599936bb215f4a9f9189518418f02bc43e4d7417823ea460bfc45c6fd1f9b0bf5a35dd73881b57cd9e892c702b813a68fe6e417e82dd31c6635c1b24e WHIRLPOOL 26cf1464bf0899ae9bad0067481f57a121433c5fe7c93fef92523a157d7906b8c1c4216c2a4fe738222e4afaa85fc0a7b7b29149254125a3e8b2e7064add6cb1
DIST go-uuid-36289988d83ca270bc07c234c36f364b0dd9c9a7.tar.gz 6491 SHA256 3faf76788a69f6558882170746003bbd430ef617a0f433e93b6ab6d457ad4270 SHA512 f9d7807a27d17d4e7d0b53f43d7e3561492fb0669fd4f1e610f4e39309c8759e3e5d8e061feabae5c60e1a87f9ed989309bd9a796c5811012ee347631c3fbd73 WHIRLPOOL 2b18286b50186c10f2f7cf5ce53354878c6bb3ea77e0c91cde7fadba4df82bb90460847f82775a515ac9de6fb7819e758cbaeb3ada061f29710a17c3e596de98
DIST go-yaml-v2-f7716cbe52baa25d2e9b0d0da546fcf909fc16b4.tar.gz 63079 SHA256 d2044d0801b9f1da380f5a957404ca95454057a213c46182e2db08dc10cf287b SHA512 52129998e308c0a6033a0da6872759cf30cce3220af4ccd821fcb071f9165ee4f126f080726bbeac2bcacb20c2710dc66f936f8763c19ba5e182b8592700e6c0 WHIRLPOOL b34e0da03adaa61b37432300ec1d03953e220c4a3dd1d8af89ccccad752ba01286d71427e4354e6672d4ac5bde4cfab74e99de66414f02fe555f5c246decf244
diff --git a/app-admin/consul-template/consul-template-0.12.2.ebuild b/app-admin/consul-template/consul-template-0.12.2.ebuild
index 15f8150adc2..745c5479a11 100644
--- a/app-admin/consul-template/consul-template-0.12.2.ebuild
+++ b/app-admin/consul-template/consul-template-0.12.2.ebuild
@@ -20,6 +20,7 @@ RDEPEND=""
SRC_URI="https://${EGO_PN%/*}/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://github.com/fatih/structs/archive/a924a2250d1033753512e95dce41dca3fd793ad9.tar.gz -> structs-a924a2250d1033753512e95dce41dca3fd793ad9.tar.gz
https://github.com/go-yaml/yaml/archive/f7716cbe52baa25d2e9b0d0da546fcf909fc16b4.tar.gz -> go-yaml-v2-f7716cbe52baa25d2e9b0d0da546fcf909fc16b4.tar.gz
+ https://github.com/golang/sys/archive/58da1121af381632b48b2843aeb16299f2e1dc50.tar.gz -> go-sys-0_pre20150729.tar.gz
https://github.com/hashicorp/consul/archive/v0.6.3.tar.gz -> consul-0.6.3.tar.gz
https://github.com/hashicorp/go-cleanhttp/archive/ce617e79981a8fff618bb643d155133a8f38db96.tar.gz -> go-cleanhttp-ce617e79981a8fff618bb643d155133a8f38db96.tar.gz
https://github.com/hashicorp/errwrap/archive/7554cd9344cec97297fa6649b055a8c98c2a1e55.tar.gz -> errwrap-7554cd9344cec97297fa6649b055a8c98c2a1e55.tar.gz
@@ -29,6 +30,7 @@ SRC_URI="https://${EGO_PN%/*}/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://github.com/hashicorp/hcl/archive/578dd9746824a54637686b51a41bad457a56bcef.tar.gz -> hcl-578dd9746824a54637686b51a41bad457a56bcef.tar.gz
https://github.com/hashicorp/logutils/archive/0dc08b1671f34c4250ce212759ebd880f743d883.tar.gz -> logutils-0dc08b1671f34c4250ce212759ebd880f743d883.tar.gz
https://github.com/hashicorp/serf/archive/64d10e9428bd70dbcd831ad087573b66731c014b.tar.gz -> serf-64d10e9428bd70dbcd831ad087573b66731c014b.tar.gz
+ https://github.com/hashicorp/vault/archive/145041757cee09193b0d132b816f72bc1e846107.tar.gz -> vault-145041757cee09193b0d132b816f72bc1e846107.tar.gz
https://github.com/mitchellh/mapstructure/archive/281073eb9eb092240d33ef253c404f1cca550309.tar.gz -> mapstructure-281073eb9eb092240d33ef253c404f1cca550309.tar.gz
test? (
https://github.com/armon/go-metrics/archive/345426c77237ece5dab0e1605c3e4b35c3f54757.tar.gz -> go-metrics-345426c77237ece5dab0e1605c3e4b35c3f54757.tar.gz
@@ -43,7 +45,6 @@ SRC_URI="https://${EGO_PN%/*}/archive/v${PV}.tar.gz -> ${P}.tar.gz
https://github.com/hashicorp/go-uuid/archive/36289988d83ca270bc07c234c36f364b0dd9c9a7.tar.gz -> go-uuid-36289988d83ca270bc07c234c36f364b0dd9c9a7.tar.gz
https://github.com/hashicorp/golang-lru/archive/5c7531c003d8bf158b0fe5063649a2f41a822146.tar.gz -> golang-lru-5c7531c003d8bf158b0fe5063649a2f41a822146.tar.gz
https://github.com/hashicorp/uuid/archive/2951e8b9707a040acdb49145ed9f36a088f3532e.tar.gz -> uuid-2951e8b9707a040acdb49145ed9f36a088f3532e.tar.gz
- https://github.com/hashicorp/vault/archive/145041757cee09193b0d132b816f72bc1e846107.tar.gz -> vault-145041757cee09193b0d132b816f72bc1e846107.tar.gz
https://github.com/jmespath/go-jmespath/archive/0.2.2.tar.gz -> go-jmespath-0.2.2.tar.gz
https://github.com/mitchellh/copystructure/archive/6fc66267e9da7d155a9d3bd489e00dad02666dc6.tar.gz -> copystructure-6fc66267e9da7d155a9d3bd489e00dad02666dc6.tar.gz
https://github.com/mitchellh/reflectwalk/archive/eecf4c70c626c7cfbb95c90195bc34d386c74ac6.tar.gz -> reflectwalk-eecf4c70c626c7cfbb95c90195bc34d386c74ac6.tar.gz
@@ -60,6 +61,9 @@ pkg_setup() {
get_archive_go_package() {
local archive=${1} uri x
+ case ${archive} in
+ go-sys-*) echo "sys-* golang.org/x/sys"; return;;
+ esac
for x in ${SRC_URI}; do
if [[ ${x} == http* ]]; then
uri=${x}
@@ -68,17 +72,20 @@ get_archive_go_package() {
fi
done
uri=${uri#https://}
- echo ${uri%/archive/*}
+ uri=${uri%/archive/*}
+ echo "${uri##*/}-* ${uri}"
}
unpack_go_packages() {
- local go_package x
+ local go_package pattern x
# Unpack packages to appropriate locations for GOPATH
for x in ${A}; do
unpack ${x}
go_package=$(get_archive_go_package ${x})
+ pattern=${go_package%% *}
+ go_package=${go_package##* }
mkdir -p src/${go_package%/*}
- mv ${go_package##*/}-* src/${go_package} || die
+ mv ${pattern} src/${go_package} || die
done
}